package com.syc.slm.slmbi.controller;

import com.syc.slm.common.core.util.R;
import com.syc.slm.slmbi.service.DeptService;
import com.syc.slm.slmbi.vo.DeptVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * slm-bi
 * 部门
 *
 * @author : lin
 * @date : 2021-03-25 18:39
 **/
@RequestMapping("/depts")
@RestController
@Api(value = "部门信息接口", description = "部门信息接口")
public class DeptController {

    @Autowired
    private DeptService deptService;

    @GetMapping
    @ApiOperation("部门查询")
    @ApiImplicitParam(name = "deptName", value = "部门名称")
    public R<List<DeptVo>> selectDeptList(@RequestParam(value = "deptName", required = false) String deptName) {
        return R.ok(deptService.selectDeptList(deptName));
    }
}
