package com.syc.slm.slmbi.controller;

import com.syc.slm.common.core.util.R;
import com.syc.slm.slmbi.service.PositionService;
import com.syc.slm.slmbi.vo.PositionVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * slm-bi
 * 职位查询控制器
 *
 * @author : lin
 * @date : 2021-03-25 17:26
 **/
@Api(value = "职位查询列表")
@RestController
@RequestMapping("/positions")
public class PositionController {

    @Autowired
    private PositionService positionWorkService;

    @GetMapping
    @ApiOperation("职位查询列表")
    @ApiImplicitParam(name = "positionName", value = "职位名称")
    public R<List<PositionVo>> selectPositionList(
        @RequestParam(value = "positionName", required = false) String positionName) {
        return R.ok(positionWorkService.selectPositionList(positionName));
    }
}
