package com.syc.slm.slmbi.controller;

import com.syc.slm.common.core.util.R;
import com.syc.slm.slmbi.service.UserService;
import com.syc.slm.slmbi.vo.UserVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * slm-bi
 * 用户信息
 *
 * @author : lin
 * @date : 2021-03-25 18:45
 **/
@Api(value = "用户信息", description = "用户信息接口")
@RestController
@RequestMapping("/users")
public class UserController {

    @Autowired
    private UserService userService;

    @GetMapping
    @ApiOperation("用户查询")
    @ApiImplicitParam(name = "userName", value = "用户名称")
    public R<List<UserVo>> selectUserList(@RequestParam(value = "userName", required = false) String userName) {
        return R.ok(userService.selectUserList(userName));
    }

}
