package com.syc.slm.slmbi.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.syc.slm.slmbi.dto.InstrumentPanelDTO;
import com.syc.slm.slmbi.entity.InstrumentPanel;
import com.syc.slm.slmbi.vo.InstrumentPanelVo;

import java.util.List;

/**
 * slm-bi
 * 仪表板
 *
 * @author : lin
 * @date : 2021-03-25 16:17
 **/
public interface InstrumentPanelService extends IService<InstrumentPanel> {
    /**
     * 仪表板列表
     * @param where
     * @return
     */
    IPage<InstrumentPanelVo> selectInstrumentPanelList(InstrumentPanelDTO where);

    /**
     * 保存仪表板
     * @param panel
     * @return
     */
    Boolean saveInstrumentPanel(InstrumentPanel panel);

    /**
     * 批量推送
     * @param ids
     * @param optType
     * @return
     */
    Boolean batchPushInstrumentPanel(List<String> ids, Integer optType);

    /**
     * 删除仪表板
     * @param id
     * @return
     */
    Boolean delPushInstrumentPanel(String id);

    /**
     * 另存为
     * @param instrumentPanelDTO
     * @return
     */
    Boolean saveAsInstrumentPanel(InstrumentPanelDTO instrumentPanelDTO);

    /**
     * 是否显示恢复按钮
     * @param id
     * @return
     */
    Boolean showRecoveryBtn(String id);

    /**
     * 恢复按钮操作
     * @param id
     * @return
     */
    Boolean recoveryInstrumentPanel(String id);

    /**
     * 下线
     * @param id
     * @return
     */
    Boolean offline(String id);
}
